API

Update notification settings

Updates a contact's notification settings. Also activates the contact if it is not already active.

PATCH/contacts/{contactId}/notification-settings

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

contactId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email?boolean
sms?boolean
curl -X PATCH "https://example.com/contacts/string/notification-settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "phone": "string",  "image": "string",  "email": "string",  "name": "string",  "state": "string",  "feedId": "string",  "id": "string"}
{  "traceId": "string",  "message": "string",  "path": "string",  "timestamp": "string",  "statusCode": 0.1}
{  "traceId": "string",  "message": "string",  "path": "string",  "timestamp": "string",  "statusCode": 0.1}